Skip to main content
GET
/
v6
/
vendors
/
{id}
Get vendor
curl --request GET \
  --url https://sandbox.tight.com/v6/vendors/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "vnd_28868401",
    "name": "Gusto",
    "status": "ACTIVE",
    "iconUrl": "https://cdn.sandbox.tight.com/icons/integrations/gusto.png",
    "address": {
      "countryCode": "USA",
      "state": "<string>",
      "city": "<string>",
      "zip": "<string>",
      "phoneWork": "<string>",
      "address1": "<string>",
      "address2": "<string>"
    },
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the vendor

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.